Taranis X9D+ Bootloader

Help with any software/desktop related issues. e.g. companion9x, eePe, etc
Post Reply
toter
Posts: 17
Joined: Mon Jul 01, 2019 1:59 am
Country: -

Taranis X9D+ Bootloader

Post by toter » Wed Aug 07, 2019 12:33 am

Erroneously down loaded the wrong files and I now have a different bootloader-"Boot Loader V3.Ready". The radio works fine. The difference I have noted is the screen appearance and when I connect to computer it shows "connecting" not connected. But it is connected when the display shows connecting. Is there a procedure for getting the original boatloader back or is it unnecessary. I have tried but I cant remove it.


User avatar
MikeB
9x Developer
Posts: 16548
Joined: Tue Dec 27, 2011 1:24 pm
Country: -
Location: Poole, Dorset, UK

Re: Taranis X9D+ Bootloader

Post by MikeB » Wed Aug 07, 2019 8:40 am

You have the bootloader from erskyTx, This is compatible with openTx (or slightly more accurately openTx bootloader is compatible with the erskyTx one as I wrote the bootloader originally).

You also get the feature of being able to run an "app". There are a couple of apps available, one to flash multiprotocol modules from the Tx and one to change the physical ID of SPort devices.

Mike
erskyTx/er9x developer
The difficult we do immediately,
The impossible takes a little longer!

toter
Posts: 17
Joined: Mon Jul 01, 2019 1:59 am
Country: -

Re: Taranis X9D+ Bootloader

Post by toter » Wed Aug 07, 2019 8:12 pm

Thanks mike

User avatar
ridgerunner
Posts: 4
Joined: Sat Feb 02, 2013 11:04 pm
Country: United States
Location: Monroe, UT
Contact:

Re: Taranis X9D+ Bootloader

Post by ridgerunner » Fri Aug 23, 2019 11:10 pm

MikeB wrote:
Wed Aug 07, 2019 8:40 am
... You also get the feature of being able to run an "app". There are a couple of apps available, one to flash multiprotocol modules from the Tx and one to change the physical ID of SPort devices. ...
Is there a HOWTO somewhere that describes how to use these bootloader apps? (I have several IRX4 MPMs I'd like to update and this looks to be a very trick way to do it.)
I have an X9DP-SE running OTX 2.2.3. Will I need to flash the whole ErSkyTX code, or can I just install your bootloader?

Thanks again Mike for all your cool contributions! :)

EDIT: Nevermind - I now see that there a bunch of other relevant posts/threads on this subject - (I should have looked first :oops: - it appears I'll need to also flash a bootloader onto the MPMs before I can flash from the TX.) I'll do my homework and come back if I have any more questions.

Carry on,
Jeff Roberson in Monroe UT


Post Reply

Return to “Software”